%define ocamlpck  base_bigstring

Name:          ocaml-base_bigstring
Version:       0.16.0
Release:       1mamba
Summary:       String type based on Bigarray, for use in I/O and C-bindings
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/janestreet/base_bigstring
Source:        https://github.com/janestreet/base_bigstring.git/v%{version}/base_bigstring-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-base-devel
BuildRequires: ocaml-base_quickcheck-devel
BuildRequires: ocaml-int_repr-devel
BuildRequires: ocaml-ppx_bench-devel
BuildRequires: ocaml-ppx_compare-devel
BuildRequires: ocaml-ppx_expect-devel
BuildRequires: ocaml-ppx_hash-devel
BuildRequires: ocaml-ppx_inline_test-devel
BuildRequires: ocaml-ppx_module_timer-devel
BuildRequires: ocaml-runtime
BuildRequires: ocaml-sexplib0-devel
BuildRequires: ocaml-splittable_random-devel
BuildRequires: ocaml-typerep-devel
## AUTOBUILDREQ-END
BuildRequires: dune
BuildRequires: ocaml
BuildRequires: ocaml-findlib

%description
%{summary}.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n base_bigstring-%{version}

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%{_libdir}/ocaml/stublibs/*.so*
%doc LICENSE*

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES*

%changelog
* Wed Jul 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- package created using the webbuild interface
